/*
 * Created on 26-apr-2004
 */
package jaCop.domain;

import convFramework.domain.IConversationID;
import convFramework.domain.IPacketID;

/**
 * @author Lompa
 */
public class Refusal extends COPPacket {
	
	private String message = "";
	
	/**
	 * @param community
	 * @param sender
	 * @param convID
	 * @param packetID
	 */
	public Refusal(String community, COPNode sender, IConversationID convID,
			IPacketID packetID) {
		super(community, sender, convID, packetID);
	}
	/**
	 * @return Returns the message.
	 */
	public String getMessage() {
		return message;
	}
	/**
	 * @param message The message to set.
	 */
	public void setMessage(String message) {
		this.message = message;
	}
	
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getType()
	 */
	public String getType() {
		return getTypeDescription();
	}
	
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getTypeDescription()
	 */
	public static String getTypeDescription(){
		return "refusal";
	}	
}
